/*
 * calculations.h: calculations needed by the input devices
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_CALCULATIONS_H
#define _ATMO_CALCULATIONS_H

// capture width/height
#define CAP_WIDTH    64
#define CAP_HEIGHT   48

// imagesize
#define IMAGE_SIZE   (CAP_WIDTH * CAP_HEIGHT)

tColorPacket CalcColorsAnalyzeHSV(tHSVColor *HSV_Img);

tHSVColor RGB2HSV(tRGBColor color);
tRGBColor HSV2RGB(tHSVColor color);

#endif // _ATMO_CALCULATIONS_H
